> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Property Definition

> Get a single PropertyDefinition by key.

**Authentication Required**: Requires `property_definition:read` permission.
Results are automatically filtered to the user's organization.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/property-definitions/{key}
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/property-definitions/{key}:
    get:
      tags:
        - Property Definitions
      summary: Get Property Definition
      description: >-
        Get a single PropertyDefinition by key.


        **Authentication Required**: Requires `property_definition:read`
        permission.

        Results are automatically filtered to the user's organization.
      operationId: get_property_definition
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertyDefinitionResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PropertyDefinitionResponse:
      description: Response model for a single PropertyDefinition.
      properties:
        aiCanAddANewValue:
          default: true
          title: Aicanaddanewvalue
          type: boolean
        aiMatchingGuidance:
          anyOf:
            - type: string
            - type: 'null'
          title: Aimatchingguidance
        attributeConstraint:
          anyOf:
            - type: string
            - type: 'null'
          title: Attributeconstraint
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        description:
          anyOf:
            - items:
                additionalProperties:
                  type: string
                type: object
              type: array
            - type: 'null'
          title: Description
        display_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Group
        display_order:
          anyOf:
            - type: integer
            - type: 'null'
          default: 0
          title: Display Order
        enrichment_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Enrichment Config
        id:
          description: MongoDB ObjectId as string
          title: Id
          type: string
        inputHint:
          anyOf:
            - type: string
            - type: 'null'
          title: Inputhint
        isActive:
          default: true
          title: Isactive
          type: boolean
        isFacetable:
          default: false
          title: Isfacetable
          type: boolean
        isMultiValue:
          default: false
          title: Ismultivalue
          type: boolean
        isRequired:
          default: false
          title: Isrequired
          type: boolean
        isSearchable:
          default: false
          title: Issearchable
          type: boolean
        isVisibleInStorefront:
          default: true
          title: Isvisibleinstorefront
          type: boolean
        is_common:
          default: false
          description: Common property flag
          title: Is Common
          type: boolean
        is_entry_field:
          default: false
          description: Entry field flag
          title: Is Entry Field
          type: boolean
        is_system:
          default: false
          description: System property flag
          title: Is System
          type: boolean
        key:
          title: Key
          type: string
        label:
          items:
            additionalProperties:
              type: string
            type: object
          title: Label
          type: array
        lastModifiedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastmodifiedat
        lastModifiedBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastmodifiedby
        level:
          anyOf:
            - type: string
            - type: 'null'
          title: Level
        mustBeAccurateToAssign:
          default: false
          title: Mustbeaccuratetoassign
          type: boolean
        name:
          title: Name
          type: string
        prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Name
        scope:
          default: catalog
          description: 'Scope: ''catalog'' or ''lakehouse'''
          title: Scope
          type: string
        type:
          additionalProperties: true
          title: Type
          type: object
        ui_widget:
          default: text_input
          title: Ui Widget
          type: string
        valueCount:
          default: 0
          description: Number of enum values
          title: Valuecount
          type: integer
        visibility:
          default: list_and_detail
          title: Visibility
          type: string
      required:
        - id
        - name
        - key
        - type
      title: PropertyDefinitionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````